For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate comment
      • POSTCreate comment attachment
      • DELDelete comment attachment
      • GETList comments
      • GETShow comment
      • PATCHUpdate comment

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceComments

Show comment

Deprecated
GET
https://api.frame.io/v4/accounts/:account_id/comments/:comment_id
GET
/v4/accounts/:account_id/comments/:comment_id
1from frameio_experimental import FrameioExperimental
2
3client = FrameioExperimental(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.comments.show(
8 account_id="535dd8b4-8824-4399-bee0-302636941b38",
9 comment_id="27837268-9e09-459c-8e39-3df9d1b1b842",
10)
1{
2 "data": {
3 "annotation": "annotation",
4 "attachments": [
5 {
6 "created_at": "2024-02-02T21:19:24.828948Z",
7 "file_size": 1024000,
8 "id": "463b812b-3bf8-4ffa-93fe-d24cbc45b3f1",
9 "media_type": "image/png",
10 "name": "screenshot.png",
11 "upload_urls": [
12 "https://s3.amazonaws.com/bucket/part1?signature=..."
13 ]
14 }
15 ],
16 "completed_at": null,
17 "completer_id": null,
18 "created_at": "2024-02-02T21:19:24.828948Z",
19 "duration": 10,
20 "file_id": "4ae08df1-b419-4897-aba5-560198a18237",
21 "id": "1a58da22-fd26-4c27-9a2d-c9ec7016107e",
22 "links": [
23 {
24 "end_index": 13,
25 "start_index": 5,
26 "text": "Test User",
27 "url": "https://www.example.com"
28 }
29 ],
30 "mentions": [
31 {
32 "end_index": 13,
33 "start_index": 5,
34 "text": "Test User",
35 "user_id": "f07ec568-76f9-4ca7-af85-9c4f692cb715"
36 }
37 ],
38 "page": 1,
39 "text": "This is great!",
40 "text_edited_at": "2024-02-02T21:19:24.828948Z",
41 "text_review_annotation": {
42 "bounds": [
43 {
44 "height": 42,
45 "width": 130,
46 "x": 12.5,
47 "y": 24
48 }
49 ],
50 "selection_text": "existing copy",
51 "suggested_text": "updated copy",
52 "text_review_annotation_type": "replace"
53 },
54 "timestamp": 123,
55 "updated_at": "2024-02-02T21:19:24.828948Z",
56 "anchor": {
57 "x": 0.5,
58 "y": 0.5
59 },
60 "owner": {
61 "active": true,
62 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
63 "email": "user_email@example.com",
64 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
65 "name": "Jon Doe"
66 },
67 "replies": []
68 }
69}
Show a single comment on a file. <br/>This endpoint has been added to `Current Version` of the API. <br/>Please see https://developer.adobe.com/frameio/api/current/#tag/Comments/operation/comments.show. <br/>Rate Limits: 100 calls per 1.00 minute(s) per account_user
Was this page helpful?
Previous

Update comment

Next

Show a single comment on a file.
This endpoint has been added to Current Version of the API.
Please see https://developer.adobe.com/frameio/api/current/#tag/Comments/operation/comments.show.
Rate Limits: 100 calls per 1.00 minute(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
comment_idstringRequiredformat: "uuid"
A UUID String

Query parameters

timestamp_as_timecodebooleanOptional
includeenumOptional
Include query parameter for comments
Allowed values:

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error